inputType: "CA10__CaAwsDynamoDbTable__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: /types/CA10__CaAwsDynamoDbTable__c/object.extracts.yaml
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The table is not active."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__tableStatus__c"
        right:
          TEXT: "ACTIVE"
  - status: "INCOMPLIANT"
    currentStateMessage: "The DynamoDB Table is not encrypted."
    remediationMessage: "Enable server-side encryption for this DynamoDB table to protect data at rest."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__sseDescriptionStatus__c"
        right:
          TEXT: "ENABLED"
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The DynamoDB table is encrypted at rest."